Octave: undefined symbol: gotoblas Le sujet est résolu

Demande d'aide : c'est ici.
Message
Auteur
Dunatotatos
Membre
Membre
Messages : 319
Inscription : 11 mai 2016, 20:56
Localisation : Arabie Saoudite
Status : Hors-ligne

Octave: undefined symbol: gotoblas

#1 Messagepar Dunatotatos » 13 nov. 2017, 08:52

Salut à tous,

J'essaie d'installer octave sur ma Debian Sid, mais obtiens l'erreur suivante :

Code : Tout sélectionner

/usr/bin/octave-cli: symbol lookup error: /usr/lib/x86_64-linux-gnu/libblas.so.3: undefined symbol: gotoblas
dpkg: error processing package octave (--configure):
 installed octave package post-installation script subprocess returned error exit status 127
Processing triggers for libc-bin (2.24-17) ...
Errors were encountered while processing:
 octave
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)
Étrangement, gotoblas est disponible :

Code : Tout sélectionner

$ readelf -Ws /usr/lib/x86_64-linux-gnu/libblas.so.3 | grep gotoblas
   243: 0000000000000000     0 OBJECT  GLOBAL DEFAULT  UND gotoblas
libblas.so.3 est un lien symbolique vers `/etc/alternatives/libblas.so.3-x86_64-linux-gnu`. `update-alternatives` m'indique que cette bibliothèque est fournie par openblas :

Code : Tout sélectionner

$ sudo update-alternatives --display libblas.so.3-x86_64-linux-gnu 
libblas.so.3-x86_64-linux-gnu - auto mode
  link best version is /usr/lib/x86_64-linux-gnu/openblas/libblas.so.3
  link currently points to /usr/lib/x86_64-linux-gnu/openblas/libblas.so.3
  link libblas.so.3-x86_64-linux-gnu is /usr/lib/x86_64-linux-gnu/libblas.so.3
/usr/lib/x86_64-linux-gnu/blas/libblas.so.3 - priority 10
/usr/lib/x86_64-linux-gnu/openblas/libblas.so.3 - priority 40
Et enfin, la version de openblas installée :

Code : Tout sélectionner

$ apt search openblas
Sorting... Done
Full Text Search... Done
libblas-test/testing,unstable 3.7.1-4 amd64
  Basic Linear Algebra Subroutines 3, testing programs

libopenblas-base/testing,unstable,now 0.2.20+ds-4 amd64 [installed,automatic]
  Optimized BLAS (linear algebra) library (shared library)

libopenblas-dev/testing,unstable 0.2.20+ds-4 amd64
  Optimized BLAS (linear algebra) library (development files)
J'ai tenté de modifier l'alternative pour utilise libblas à la place de openblas, mais la même erreur survient.

Quelqu'un a-t-il déjà été confronté à ce souci ?

A+
Duna

EDIT : Chose intéressante, libblas ne fournit pas le symbole gotoblas :

Code : Tout sélectionner

$ readelf -Ws /usr/lib/x86_64-linux-gnu/libblas.so.3 | grep gotoblas
$
Le désinstaller installe libatlas3-base à la place. `/usr/lib/x86_64-linux-gnu/atlas/libblas.so.3` ne contient pas non plus le symbole gotoblas. L'erreur est toujours présente, même en s'assurant que l'alternative pointe vers openblas.

EDIT2 : Je me suis débrouillé pour supprimer libblas3 et libatlas3-base. `update-alternatives` n'indique plus que openblas comme alternative valide. L'erreur est toujours présente...
Never trust Windows output.

Dunatotatos
Membre
Membre
Messages : 319
Inscription : 11 mai 2016, 20:56
Localisation : Arabie Saoudite
Status : Hors-ligne

Re: Octave: undefined symbol: gotoblas

#2 Messagepar Dunatotatos » 13 nov. 2017, 12:19

Je viens de découvrir que la même erreur apparaît lorsque j'importe numpy dans Python. J'investigue.
Never trust Windows output.

Dunatotatos
Membre
Membre
Messages : 319
Inscription : 11 mai 2016, 20:56
Localisation : Arabie Saoudite
Status : Hors-ligne

Re: Octave: undefined symbol: gotoblas  Le sujet est résolu

#3 Messagepar Dunatotatos » 13 nov. 2017, 12:28

La solution est de supprimer libopenblas-base.

Un seul petit souci est l'installation de libopenblas-base en tant que recommandation de octave. Il faut juste forcer apt à ne pas l'installer.
Never trust Windows output.

Avatar de l’utilisateur
lol
Site Admin
Site Admin
Messages : 2441
Inscription : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors-ligne

Re: Octave: undefined symbol: gotoblas

#4 Messagepar lol » 13 nov. 2017, 17:20

Dunatotatos a écrit :
13 nov. 2017, 12:28
La solution est de supprimer libopenblas-base.

Un seul petit souci est l'installation de libopenblas-base en tant que recommandation de octave. Il faut juste forcer apt à ne pas l'installer.

:023:
Debian SID. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Pas de support par message privé... Merci!


Revenir à « Support Debian »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité